Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235595 - daemon does not shutdown cleanly: Connection reset by peer
Summary: daemon does not shutdown cleanly: Connection reset by peer
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-07 17:46 UTC by Tom London
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 16:26:31 UTC


Attachments (Terms of Use)

Description Tom London 2007-04-07 17:46:42 UTC
Description of problem:

Apr  6 08:30:26  localhost audispd[2325]: SIG[15]: Terminated
Apr  6 08:30:26  localhost auditd[2323]: The audit daemon is exiting.
Apr  6 08:30:26  localhost kernel: audit(1175873426.022:51): audit_pid=0
old=2323 by auid=4294967295 subj=system_u:system_r:auditd_t:s0
Apr  6 08:30:26  localhost audispd[2325]: MAIN FREE
from[local@managed-connection-<stdin>] req_got[43:43] req_put[0:0]
recv[8.95KB:8958] send[0B:0]
Apr  6 08:30:26  localhost audispd[2325]: FREE from[local@/var/run/audit_events]
req_got[0:0] req_put[39:39] recv[0B:0] send[8.51KB:8518]
Apr  6 08:30:26  localhost audispd[2325]: ACCEPT FREE
from[local@/var/run/audit_events] req_got[0:0] req_put[39:39] recv[0B:0]
send[8.51KB:8518]
Apr  6 08:30:26  localhost audispd[2325]: Termination signal received, closing down.
Apr  6 08:30:26  localhost setroubleshoot: [avc.ERROR] exception OSError: [Errno
104] Connection reset by peer Traceback (most recent call last):   File
"/usr/lib/python2.5/site-packages/setroubleshoot/avc_audit.py", line 588, in run
    if not msg.read_from_fd(self.audit_socket.fileno()):   File
"/usr/lib/python2.5/site-packages/setroubleshoot/avc_audit.py", line 55, in
read_from_fd     new_data = os.read(fd, AuditMsg.header_size - len(header))
OSError: [Errno 104] Connection reset by peer
Apr  6 08:30:26  localhost kernel: Kernel logging (proc) stopped.
Apr  6 08:30:26  localhost kernel: Kernel log daemon terminating.


Version-Release number of selected component (if applicable):
setroubleshoot-1.9.4-1.fc7


How reproducible:
Every shutdown

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tom London 2007-04-13 16:26:31 UTC
Can no  longer reproduce...

Closing.


Note You need to log in before you can comment on or make changes to this bug.